<?php

class Zen {
	static function blog_shortname() {
		$A = get_bloginfo('name');
		$A = explode(' ', $A);
		$R = '';
		foreach ($A as $B) {
			$R .= substr($B, 0, 1);
		}
		return $R;
	}

	static function post_meta($data = array('user','date','category', 'tag')) {?>
		<div class="metainfo">
			<?php if(in_array('user', $data)) : ?>
				<span class="user-icon"><a href="<?php echo get_author_posts_url( get_the_author_meta( 'ID' ) ); ?>"><?php the_author() ?></a></span>
			<?php endif; if(in_array('date', $data)) : ?>
				<span class="clock-icon"><a href="<?php the_permalink()?>"><?php the_time( get_option('date_format')); ?></a></span>
			<?php endif; if(in_array('category', $data)) : ?>
				<span class="category-icon"><?php the_category(", ") ?></span>
			<?php endif; if(in_array('tag', $data)) : ?>
				<?php the_tags('<span class="tag-icon">',', ','</span>') ?>
			<?php endif;?>
		</div>
	<?php }

	static function post_title() { ?>
		<h1 class="nomargin entry-title">
			<?php if(!is_single()) : ?>
				<a href="<?php the_permalink() ?>"><?php the_title() ?></a>
			<?php else : ?>
				<?php the_title() ?>
			<?php endif; ?>
		</h1>
	<?php }

	static function post_links() {
		wp_link_pages( array( 'before' => '<div class="page-links"><span class="page-links-title">' . __( 'Pages:', 'twentythirteen' ) . '</span>', 'after' => '</div>', 'link_before' => '<span>', 'link_after' => '</span>' ) );
	}
	static function single_view() {
		echo is_single() ? 'single-view' : 'list-view';
	}
	static function post_pagination() {
		wp_link_pages( array( 'before' => '<div class="metainfo pages-icon pagination">', 'after' => '</div>', 'link_before' => '<span>', 'link_after' => '</span>' ) );
	}
	static function post_author() {
		if (get_the_author_meta( 'description' )) :
			get_template_part( 'author-bio' );
		endif;
	}
	static function post_comments() {
		if (is_single() ) : 
				comments_template();
		endif;
	}
	static function post_single_bundle() {
		if(is_single()) {
			self::post_pagination();
			self::post_author();
			self::post_comments();
		}
	}
}


/* ----------------------------  /
			+INIT                
/ ----------------------------- */
	add_action( 'after_setup_theme', 'zen_setup' );
	function zen_setup() {
		add_theme_support( 'automatic-feed-links' );
		add_theme_support( 'post-thumbnails' );
		add_filter( 'use_default_gallery_style', '__return_false' );
		add_theme_support( 'post-formats', array('aside', 'status', 'gallery', 'video', 'quote', 'link', 'image', 'audio', 'chat') );
		add_editor_style('editor-style.css'); 
		if ( ! isset( $content_width ) ) $content_width = 720;
		add_image_size('gallery-thumbnail', 300, 300, true);
		add_image_size('featured-image-thumb', 600, 300, true);
		register_nav_menu('header-nav',__( 'Header Navigation' ));
	}






	function zen_js()	{
		wp_enqueue_script( 'zen', get_template_directory_uri() . '/js/zen.js', array( 'jquery' ) );
		wp_enqueue_style('theme_stylesheet', get_stylesheet_uri());
		if ( is_singular() ) wp_enqueue_script( 'comment-reply' );
	}
	add_action('wp_enqueue_scripts', 'zen_js');




	class Zen_Comment_Walker extends Walker_Comment {
		var $tree_type = 'comment';
		var $db_fields = array( 'parent' => 'comment_parent', 'id' => 'comment_ID' );

		function __construct() { ?>
			<ul class="comment-list">
		<?php }
		function start_lvl( &$output, $depth = 0, $args = array() ) {       
			$GLOBALS['comment_depth'] = $depth + 1; ?>
	 		<ul class="children">
		<?php }
		function end_lvl( &$output, $depth = 0, $args = array() ) {
	        $GLOBALS['comment_depth'] = $depth + 1; ?>
			</ul>
		<?php }

		function start_el( &$output, $comment, $depth = 0, $args = array(), $id = 0 ) {
			$depth++;
			$GLOBALS['comment_depth'] = $depth;
			$GLOBALS['comment'] = $comment; 
			$parent_class = ( empty( $args['has_children'] ) ? '' : 'parent' );
			$reply_args = array('depth' => $depth, 'max_depth' => $args['max_depth']);
			?>

			<li <?php comment_class( $parent_class ); ?> id="comment-<?php comment_ID() ?>">
			<div id="comment-body-<?php comment_ID() ?>" class="comment-body">

				<div class="comment-info">
					<?php echo ( $args['avatar_size'] != 0 ? get_avatar( $comment, $args['avatar_size'] ) :'' ); ?>
					<span class="author-name"><cite class="author-name"><?php echo get_comment_author_link(); ?></cite></span>
					<span class="comment-meta">
						<a class="comment-link" href="<?php echo htmlspecialchars( get_comment_link( get_comment_ID() ) ) ?>">#</a>
						<?php comment_date(); ?> at <?php comment_time(); ?>
						<?php comment_reply_link(array_merge($args, $reply_args))  ?>
						<?php edit_comment_link( 'Edit' ); ?>
					</span>
				</div>
		 
				<div id="comment-content-<?php comment_ID(); ?>" class="comment-content">
					<?php if( !$comment->comment_approved ) : ?>
					<em class="comment-awaiting-moderation">Your comment is awaiting moderation.</em>
					<?php else: comment_text(); ?>
					<?php endif; ?>
				</div>
			</div>
	 
		<?php }
			function end_el(&$output, $comment, $depth = 0, $args = array() ) { ?>
				</li>
		    <?php }
		    function __destruct() { ?>
		    	</ul>
		    <?php }
	}

	function gallery_atts( $out, $pairs, $atts ) {
	    $atts = shortcode_atts( array(
	        'size' => 'gallery-thumbnail',
	         ), $atts );

	    $out['size'] = $atts['size'];

	    return $out;
	}
	add_filter( 'shortcode_atts_gallery', 'gallery_atts', 10, 3 );
?>